package com.aucma.base.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 质检项信息维护对象 base_quality_inspection_item
 *
 * @author Yinq
 * @date 2023-10-16
 */
public class BaseQualityInspectionItem extends BaseEntity
        {
private static final long serialVersionUID=1L;

    /** 主键标识 */
    private Long objId;

    /** 质检项/质量缺陷编号 */
            @Excel(name = "质检项/质量缺陷编号")
    private String qualityDefectCode;

    /** 质检项/质量缺陷描述 */
            @Excel(name = "质检项/质量缺陷描述")
    private String qualityDefectName;

    /** 父级编号 */
            @Excel(name = "父级编号")
    private String parentId;

    /** 物料大类 */
            @Excel(name = "物料大类")
    private String materialCategories;

    /** 物料小类 */
            @Excel(name = "物料小类")
    private String materialSubclass;

    /** 工厂编号 */
            @Excel(name = "工厂编号")
    private String plantCode;

    /** 启用标识 */
            @Excel(name = "启用标识")
    private Long isFlag;

    /** 创建人 */
            @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /** 更新人 */
            @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setObjId(Long objId)
            {
            this.objId = objId;
            }

    public Long getObjId()
            {
            return objId;
            }
    public void setQualityDefectCode(String qualityDefectCode)
            {
            this.qualityDefectCode = qualityDefectCode;
            }

    public String getQualityDefectCode()
            {
            return qualityDefectCode;
            }
    public void setQualityDefectName(String qualityDefectName)
            {
            this.qualityDefectName = qualityDefectName;
            }

    public String getQualityDefectName()
            {
            return qualityDefectName;
            }
    public void setParentId(String parentId)
            {
            this.parentId = parentId;
            }

    public String getParentId()
            {
            return parentId;
            }
    public void setMaterialCategories(String materialCategories)
            {
            this.materialCategories = materialCategories;
            }

    public String getMaterialCategories()
            {
            return materialCategories;
            }
    public void setMaterialSubclass(String materialSubclass)
            {
            this.materialSubclass = materialSubclass;
            }

    public String getMaterialSubclass()
            {
            return materialSubclass;
            }
    public void setPlantCode(String plantCode)
            {
            this.plantCode = plantCode;
            }

    public String getPlantCode()
            {
            return plantCode;
            }
    public void setIsFlag(Long isFlag)
            {
            this.isFlag = isFlag;
            }

    public Long getIsFlag()
            {
            return isFlag;
            }
    public void setCreatedBy(String createdBy)
            {
            this.createdBy = createdBy;
            }

    public String getCreatedBy()
            {
            return createdBy;
            }
    public void setCreatedTime(Date createdTime)
            {
            this.createdTime = createdTime;
            }

    public Date getCreatedTime()
            {
            return createdTime;
            }
    public void setUpdatedBy(String updatedBy)
            {
            this.updatedBy = updatedBy;
            }

    public String getUpdatedBy()
            {
            return updatedBy;
            }
    public void setUpdatedTime(Date updatedTime)
            {
            this.updatedTime = updatedTime;
            }

    public Date getUpdatedTime()
            {
            return updatedTime;
            }

@Override
public String toString(){
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId",getObjId())
            .append("qualityDefectCode",getQualityDefectCode())
            .append("qualityDefectName",getQualityDefectName())
            .append("parentId",getParentId())
            .append("materialCategories",getMaterialCategories())
            .append("materialSubclass",getMaterialSubclass())
            .append("plantCode",getPlantCode())
            .append("remark",getRemark())
            .append("isFlag",getIsFlag())
            .append("createdBy",getCreatedBy())
            .append("createdTime",getCreatedTime())
            .append("updatedBy",getUpdatedBy())
            .append("updatedTime",getUpdatedTime())
        .toString();
        }
        }
